package com.bonus.hn.bearing.capacity.backstage.dataindex.service;

import com.bonus.hn.bearing.capacity.backstage.dataindex.entity.DataHomeBean;
import com.bonus.hn.bearing.capacity.backstage.dataindex.entity.ProjectBean;
import com.bonus.hn.bearing.capacity.backstage.dataindex.entity.ToolsBean;
import com.bonus.hn.bearing.capacity.backstage.manager.model.SysUser;
import com.bonus.hn.bearing.capacity.backstage.project.entity.LineProjectBean;
import com.bonus.hn.bearing.capacity.backstage.teamset.entity.ResourceSetBean;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @author xliu
 * @date 2023/11/10 13:27
 */
public interface DataIndexService {


    ProjectBean getProjectStatus(ProjectBean bean);

    ProjectBean getBranchOfficeTeamStatus(ProjectBean projectBean);

    ProjectBean getSubTeamStatus(ProjectBean projectBean);

    ProjectBean getOwnTeamStatus(ProjectBean projectBean);

    ProjectBean getToolStatus(ProjectBean bean);

    ProjectBean getSubTeamType(ProjectBean projectBean);

    Map<String, List<String>> getProjectProgress(DataHomeBean bean);

    Map<String, Object> getReal();

    Map<String, Object> getTool();

    List<ProjectBean> getToolList(ProjectBean o);

    int addToolInfo(ProjectBean bean);

    int updateTool(ProjectBean bean);

    ProjectBean getListTool(String id);

    int delToolsById(String id);

    List<ProjectBean> getActiveList(ProjectBean o);

    int delActiveById(ProjectBean bean);

    int addActive(ProjectBean bean);

    List<ProjectBean> getToolLists(ProjectBean b);

    String toolListImport(HttpServletRequest request, MultipartFile file);

    ProjectBean getSurplusQuantity(String id);
}
